using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Charting.Styles;
using Telerik.Web.UI;

/// <summary>
/// Represents a collection of grid column settings
/// </summary>
[Serializable]
public class ColumnSettings
{
    private string _uniqueName;
    private int _orderIndex;
    private Unit _width;
    private bool _visible;
    private bool _display;
    private GridKnownFunction _currentFilterFunction;
    private string _currentFilterValue;

    public string UniqueName
    {
        get { return _uniqueName; }
        set { _uniqueName = value; }
    }

    public int OrderIndex
    {
        get { return _orderIndex; }
        set { _orderIndex = value; }
    }

    public Unit Width
    {
        get { return _width; }
        set { _width = value; }
    }

    public bool Visible
    {
        get { return _visible; }
        set { _visible = value; }
    }

    public bool Display
    {
        get { return _display; }
        set { _display = value; }
    }

    public GridKnownFunction CurrentFilterFunction
    {
        get { return _currentFilterFunction; }
        set { _currentFilterFunction = value; }
    }

    public string CurrentFilterValue
    {
        get { return _currentFilterValue; }
        set { _currentFilterValue = value; }
    }
}